POST
https://api.cryptohopper.com/v1/hopper/{id}/position/movetoreserved
Moves the given open positions to reserved funds: each position is removed from the open positions, added as a reserved position, and the hopper's reserved balances are recalculated.
OAuth scope:
read manage About scopes
Not available for exchange arbitrage, market maker, copy, grid and AI bots.
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"position_ids":[123456,123457]}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"position_ids": [
123456,
123457
]
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"position_ids": [
123456,
123457
]
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'position_ids' => [
123456,
123457,
],
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
position_ids | array of integer | Required |
Response
{
"data": "Position(s) moved to reserved funds."
}